/* global jest: true */

const firebase = {
	messaging: jest.fn(() => ({
		hasPermission: jest.fn(() => new Promise(resolve => resolve(true))),
	})),
	analytics: jest.fn(() => ({
		logEvent: jest.fn(),
		setUserId: jest.fn(),
		setUserProperties: jest.fn(),
	})),
};

export default firebase;
